<?php 

class LSTAcl extends AppListado{
	public function init(){
		
		parent::init();
		
		$this->setAction('/super/listado');
		$this->setPoderPaginar(false);
		$this->setPoderAgrupar(true);
		$this->setClase('Vista');
		$this->setMetodo('loadAllListadoAcl');
		
		$controller = new CLMTexto('controller', '$controller#', 'Controlador');
		$controller->setAgrupable(true);
		$controller->setAgrupado(true);
		$this->addColumna($controller);
		
		$vista = new CLMTexto('vista', '$vista#', 'Vista');
		$this->addColumna($vista);
		
		$perfiles = Perfil::getAll(null)->toArray();
	
		foreach ($perfiles as $perfil){

			/*$check = new CLMCheck('tieneFechacheck'.$cont++,'1','Con fecha');
			$check->addValorMultiple('0', 'KOOO');
			$check->addValorMultiple('1', 'OK');
			$this->addColumna($check);
			*/
			
			$clmperfil = new CLMCheck('perfil_'.$perfil['id_perfil'], '$perfil_'.$perfil['id_perfil'].'#' , $perfil['nombre']);
			
			$clmperfil->setNameCheck('perfil[$id_vista#]['. $perfil['id_perfil'] .']');
			$this->addColumna($clmperfil);
			
		}
		
		$this->setCallback('$("input", linea).click(function(){alert("entra");});');
		
	}
}